Description

The command for creating repo should be (thanks Mario Rui Luzeiro!):

bzr new --feature-branches --create-prefix --format 2a LOCATION

History

#1 - 03 Nov 2011 19:57 - Andriy Lesyuk

$ bzr new --help

bzr: ERROR: unknown command "new" 

 

:S I guess I cannot use new...

What then? bzr init or bzr init-repository?..

#2 - 03 Nov 2011 20:10 - Andriy Lesyuk

What protocols are supported? sftp://, bzr+ssh://? Else? What about http://? Using %r{^(?:sftp|bzr(?:\+[a-z]+)?)://}...

#3 - 03 Nov 2011 20:13 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 20

Using bzr init-repository <custom options> <path>...

#4 - 04 Nov 2011 10:17 - Andriy Lesyuk

- % Done changed from 20 to 70

#5 - 05 Nov 2011 12:48 - Andriy Lesyuk

- Due date set to 05 Nov 2011

- Status changed from In Progress to Closed

- % Done changed from 70 to 100
I believe support for Bazaar has been implemented! 

#6 - 05 Nov 2011 16:09 - Mario Luzeiro

Andriy Lesyuk wrote:

:S I guess I cannot use new...

What then? bzr init or bzr init-repository?..

 

I get the new from the command line of bazaar explorer. I don’t understand it at all, probably it inits at local machine some information about the

repository it creates remotely.

bzr --help new

bzr init-workspace [LOCATION]

we should understand this options better.. or ask some one that know it better.

Also.. there is any way you can setup in redmine your own init command line? in configuration of plugin. that would be nice.

#7 - 05 Nov 2011 16:10 - Mario Luzeiro

Andriy Lesyuk wrote:

What protocols are supported? sftp://, bzr+ssh://? Else? What about http://? Using %r{^(?:sftp|bzr(?:\+[a-z]+)?)://}...

 

I’m not sre what you mean. Probably bazaar supports all of this protocols. I’m using redmine from turnkeylinux and it works with bzr://

#8 - 08 Nov 2011 13:06 - Mario Luzeiro

- File Redmine_bug_CreateRepository01.png added

Nothing happen after press repository.

There is the log in attached image

#9 - 08 Nov 2011 14:00 - Andriy Lesyuk

Can you show me your Bazaar scm.yml configuration?.. I guess it’s missing either path or (most likely) bzr...

#10 - 09 Nov 2011 12:02 - Mario Luzeiro

Andriy Lesyuk wrote:

Can you show me your Bazaar scm.yml configuration?.. I guess it’s missing either path or (most likely) bzr...
I didn’t touch this file.

bazaar:

 path: /var/lib/bazaar

 bzr: /usr/bin/bzr

 

This path should be the same as the others: /srv/repos/bzr

Also I notice that I don’t have any files in pre ou post create/delete in /usr/local/bin/..

#11 - 09 Nov 2011 12:14 - Mario Luzeiro

- File Redmine_bug_CreateRepository02.png added

Now in bazaar the creation button does not appear.

See attach image.

#12 - 09 Nov 2011 12:50 - Mario Luzeiro

- File Redmine_bug_CreateRepository03.png added

Oks I setup it and press create new repository.

The path field appears gray, the button is still visible

but it didn’t create the repository.
